<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package leatherhouse
 */

?>
<!--content.php-->
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<header class="entry-header">
		<?php
		if ( is_single() ) {
			the_title( '<h1 class="entry-title">', '</h1>' );
		} else {
			the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' );
		}

		if ( 'post' === get_post_type() ) :
			?>
		<div class="entry-meta">
			<?php leatherhouse_posted_on(); ?>
		</div><!-- .entry-meta -->
			<?php
		endif;
		?>
	</header><!-- .entry-header -->

	<div class="entry-content">
		<?php
		$leatherhouse_excerpt_disabled = get_theme_mod( 'leatherhouse_excerpt_disabled', true );
		if ( $leatherhouse_excerpt_disabled === true ) {
			the_excerpt();
		} else {
			the_content(
				sprintf(
					esc_html__( 'Read More %s &rarr;', 'leather-house' ),
					'<span class="screen-reader-text">' . get_the_title() . '</span>'
				)
			);
		}
			wp_link_pages(
				array(
					'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'leather-house' ),
					'after'  => '</div>',
				)
			);
			?>
	</div><!-- .entry-content -->

	<footer class="entry-footer">
		<?php leatherhouse_entry_footer(); ?>
	</footer><!-- .entry-footer -->
</article><!-- #post-## -->

<?php
wp_reset_postdata();
?>
